Skip to content

List tenant archives.

Method

GET https://papi.afi.ai/api/v1/tenants/{tenant_id}/archives

Description

Retrieves the archives for the specified tenant and, optionally, for the specified resource in this tenant.

Path params
tenant_id string required

ID of the tenant whose archives to list.

Query params
resource_id string

Optional resource ID used to filter the results.

limit int32

Maximum number of items to return per page.

page_token string

Token from the previous list operation (`next_page_token`) used to continue listing.

curl -X GET \
    -H 'Authorization: {api-key}' \
    https://papi.afi.ai/api/v1/tenants/{tenant_id}/archives

Successful response (200) schema
object

ArchivePage contains the results of listing archives.

next_page_token string

Token for the next page in the listing operation. Set this value as `page_token` in the subsequent request. Empty on the last page.

items array of objects

List of archives.

object

Archive represents a set of related backups (a backup sequence) of a single resource stored in the same location, such as a full backup followed by incremental backups. A resource can have several backup archives associated with it.

id string

Unique ID of the archive.

tenant_id string

ID of the tenant that owns the archive.

resource_id string

ID of the resource associated with the archive.

delete_pending boolean

Indicates whether the archive and its data are scheduled for deletion.

created_at date-time

Timestamp when the archive was created.

stats object

Statistics related to the archive.

object

ArchiveStats provides storage and other statistics for the archive.

size uint64

Storage size used by the archive, in KB.

Response example
{
  "next_page_token": "string",
  "items": [
    {
      "id": "string",
      "tenant_id": "string",
      "resource_id": "string",
      "delete_pending": true,
      "created_at": "2025-11-19T20:02:49.317538Z",
      "stats": {
        "size": "uint64-as-string"
      }
    }
  ]
}